<?php

namespace App\Twig;

use App\Service\MarkdownParser;
use Twig\Extension\RuntimeExtensionInterface;

class AppRuntimeExtension implements RuntimeExtensionInterface
{
    public function __construct(
        protected readonly MarkdownParser $markdownParser
    )

    {
    }

    public function parse(string $content): string
    {
        return $this->markdownParser->convertToHtml($content);
    }
}